# 后台业务

## 访问页面

### 新增页面

1. 设置下个节点的代理人列表

2. 设置新增页面模型

- 设置页面字段：绘制流程时每个节点的[字段](./backend.md#页面字段)设置

- 设置表单按钮以和历史任务

    - 表单按钮：绘制流程时每个节点的[按钮](./backend.md#表单按钮)
    
    - 历史任务：当前任务在流程中走过的[历史任务](./backend.md#历史任务)列表

3. 设置新增页面当前用户

4. 返回页面

## 对象说明

### 页面字段

> FieldVO

|属性|类型|说明|参数值|
|-|-|-|-|
|fieldName|string|字段名称||
|isEditable|int|可编辑|0：否，1：是|
|isVisible|int|可显示|0：否，1：是|
|editHistory|string|编辑历史|noRecord：不记录（默认），latest：记录最新（签批），all：记录全部（会签）
|autoBackFill|string|自动回填|noBackFill：不回填（默认），currentUserName：当前用户名，currentUserDepartment：当前用户部门|

### 表单按钮

> FormButtonVO

|属性|类型|说明|参数值|
|-|-|-|-|
|btnAttachment|int|附件按钮|0：未激活，1：已激活|
|btnForcedEnd|int|强制结束按钮|0：未激活，1：已激活|
|btnPrint|int|打印按钮|0：未激活，1：已激活
|btnCc|int|抄送按钮|0：未激活，1：已激活|
|btnGoBack|int|回退按钮|0：未激活，1：已激活|
|btnTransfer|int|转交按钮|0：未激活，1：已激活|
|goBackUserTasks|List|[历史任务](./backend.md#历史任务)列表（按执行顺序），当 <kbd>btnGoBack</kbd> 激活时有效||

### 历史任务

> GoBackUserTaskVO

|属性|类型|说明|参数值|
|-|-|-|-|
|nodeId|string|节点ID||
|taskName|string|任务名称||